clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- g
- h
- i
- l
- m
- n
- p
- r
- s
- v

### - a -

- AnyType : clang::tidy::modernize
- AutoPtrOwnershipTransferId : clang::tidy::modernize
- AutoPtrTokenId : clang::tidy::modernize

### - b -

- BeginCallName : clang::tidy::modernize

### - c -

- CERTModuleAnchorDestination : clang::tidy
- CERTModuleAnchorSource : clang::tidy
- ConditionBoundName : clang::tidy::modernize
- ConditionEndVarName : clang::tidy::modernize
- ConditionVarName : clang::tidy::modernize
- ConstructorCall : clang::tidy::modernize
- CppCoreGuidelinesModuleAnchorDestination : clang::tidy
- CppCoreGuidelinesModuleAnchorSource : clang::tidy

### - d -

- DerefByRefResultName : clang::tidy::modernize
- DerefByValueResultName : clang::tidy::modernize

### - e -

- EndCallName : clang::tidy::modernize
- EndVarName : clang::tidy::modernize

### - g -

- GoogleModuleAnchorDestination : clang::tidy
- GoogleModuleAnchorSource : clang::tidy

### - h -

- HeaderHandleInvalid : Modularize

### - i -

- InclusionPathHandleInvalid : Modularize
- IncrementVarMatcher : clang::tidy::modernize
- IncrementVarName : clang::tidy::modernize
- InitToZeroMatcher : clang::tidy::modernize
- InitVarName : clang::tidy::modernize
- IntegerComparisonMatcher : clang::tidy::modernize

### - l -

- LLVMModuleAnchorDestination : clang::tidy
- LLVMModuleAnchorSource : clang::tidy
- LoopNameArray : clang::tidy::modernize
- LoopNameIterator : clang::tidy::modernize
- LoopNamePseudoArray : clang::tidy::modernize

### - m -

- MiscModuleAnchorDestination : clang::tidy
- MiscModuleAnchorSource : clang::tidy
- ModernizeModuleAnchorDestination : clang::tidy
- ModernizeModuleAnchorSource : clang::tidy

### - n -

- NewExpression : clang::tidy::modernize

### - p -

- PerformanceModuleAnchorDestination : clang::tidy
- PerformanceModuleAnchorSource : clang::tidy
- PointerType : clang::tidy::modernize

### - r -

- ReadabilityModuleAnchorDestination : clang::tidy
- ReadabilityModuleAnchorSource : clang::tidy

### - s -

- SpecialFunction : clang::tidy::modernize
- StyleNames : clang::tidy::readability

### - v -

- vAArgExpr : clang::tidy